Skip to main content
`Ctrl`+`K`

# PetscSpaceDestroy

Destroys a `PetscSpace` object

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceDestroy(PetscSpace *sp)

Collective

## Input Parameter

- sp - the `PetscSpace` object to destroy

## See Also

`PetscSpace`, `PetscSpaceCreate()`

## Level

beginner

## Location

src/dm/dt/space/interface/space.c

## Implementations

PetscSpaceDestroy_Point() in src/dm/dt/space/impls/point/spacepoint.c
PetscSpaceDestroy_Polynomial() in src/dm/dt/space/impls/poly/spacepoly.c
PetscSpaceDestroy_Ptrimmed() in src/dm/dt/space/impls/ptrimmed/spaceptrimmed.c
PetscSpaceDestroy_Subspace() in src/dm/dt/space/impls/subspace/spacesubspace.c
PetscSpaceDestroy_Sum() in src/dm/dt/space/impls/sum/spacesum.c
PetscSpaceDestroy_Tensor() in src/dm/dt/space/impls/tensor/spacetensor.c
PetscSpaceDestroy_WXY() in src/dm/dt/space/impls/wxy/spacewxy.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages